> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Health check endpoint

> Returns the health status of the NSR service, including version information, uptime, and knowledge base statistics…

Returns the health status of the NSR service, including version information,
uptime, and knowledge base statistics. This endpoint does not require authentication.
**Example**

```bash theme={null}
curl -X GET 'https://api.nsr.stateset.com/health'
```

Health check endpoint.

### Response

`HealthResponse`

<ResponseField name="checks" type="object" />

<ResponseField name="circuit_breakers" type="object" />

<ResponseField name="knowledge_base" type="object">
  <Expandable title="knowledge_base">
    <ResponseField name="entity_count" type="integer" required />

    <ResponseField name="rule_count" type="integer" required />

    <ResponseField name="triple_count" type="integer" required />
  </Expandable>
</ResponseField>

<ResponseField name="status" type="string" required />

<ResponseField name="uptime_seconds" type="integer (int64)" required />

<ResponseField name="version" type="string" required />

<ResponseField name="warnings" type="string[]" />

### Status codes

| Code  | Meaning            |
| ----- | ------------------ |
| `200` | Service is healthy |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.nsr.stateset.com/health' \
    --header 'X-API-Key: YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "checks": null,
    "circuit_breakers": {},
    "knowledge_base": {
      "entity_count": 1,
      "rule_count": 1,
      "triple_count": 1
    },
    "status": "pending",
    "uptime_seconds": 250,
    "version": "2026-08-01",
    "warnings": [
      "string"
    ]
  }
  ```
</ResponseExample>
